# XQilla DOM3 API Documentation

# xercesc::DOMComment Class Reference

This interface inherits from `CharacterData` and represents the content of a comment, i.e., all the characters between the starting ' `<!--`' and ending '`-->`'. More...

`#include <DOMComment.hpp>`

Inheritance diagram for xercesc::DOMComment:
[legend]

List of all members.

## Public Member Functions

Destructor
virtual | ~DOMComment ()
| Destructor.

## Protected Member Functions

Hidden constructors
| DOMComment ()

## Detailed Description

This interface inherits from `CharacterData` and represents the content of a comment, i.e., all the characters between the starting ' `<!--`' and ending '`-->`'.

See also the Document Object Model (DOM) Level 2 Core Specification.

Since:
  DOM Level 1

## Constructor & Destructor Documentation

xercesc::DOMComment::DOMComment | ( |  | ) | `[inline, protected]`

virtual xercesc::DOMComment::~DOMComment | ( |  | ) | `[inline, virtual]`

Destructor.

The documentation for this class was generated from the following file:

- DOMComment.hpp